Package wx :: Class SizeEvent

[frames | no frames]

## Type SizeEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    SizeEvent

A size event holds information about size change events. The EVT_SIZE handler function will be called when the window it is bound to has been resized.

Note that the size passed is of the whole window: call `wx.Window.GetClientSize` for the area which may be used by the application.

When a window is resized, usually only a small part of the window is damaged and and that area is all that is in the update region for the next paint event. However, if your drawing depends on the size of the window, you may need to clear the DC explicitly and repaint the whole window. In which case, you may need to call `wx.Window.Refresh` to invalidate the entire window.

Method Summary
SizeEvent | ``__init__`(self, sz, winid)` Construct a new `wx.SizeEvent`.
Rect | `GetRect(self)`
Size | ``GetSize`(self)` Returns the entire size of the window generating the size change event.
| `SetRect(self, rect)`
| `SetSize(self, size)`

Property Summary
| `m_rect`
| `m_size`
| `Rect`: See `GetRect` and `SetRect`
| `Size`: See `GetSize` and `SetSize`
| `thisown`: The membership flag

Method Details

### __init__(self, sz=DefaultSize, winid=0)
(Constructor)

Construct a new `wx.SizeEvent`.

  Parameters:
    `sz`
    (type=Size)

    `winid`
    (type=int)

  Returns:
    SizeEvent
  Overrides:
    `wx.Event.__init__`

### GetSize(self)

Returns the entire size of the window generating the size change event.

  Returns:
    Size

Property Details

### Rect

See `GetRect` and `SetRect`

  Get Method:
    `GetRect`(self)
  Set Method:
    `SetRect`(self, rect)

### Size

See `GetSize` and `SetSize`

  Get Method:
    `GetSize`(self)
  Set Method:
    `SetSize`(self, size)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:25 2007 | http://epydoc.sf.net